org.slf4j.helpers

## Class MarkerIgnoringBase

- java.lang.Object
- - org.slf4j.helpers.MarkerIgnoringBase

- All Implemented Interfaces:
    Serializable, Logger
  Direct Known Subclasses:
    JCLLoggerAdapter, JDK14LoggerAdapter, Log4jLoggerAdapter, NOPLogger, SimpleLogger

      public abstract class MarkerIgnoringBase
      extends Object
      implements Logger

  This class serves as base for adapters or native implementations of logging systems lacking Marker support. In this implementation, methods taking marker data simply invoke the corresponding method without the Marker argument, discarding any marker data passed as argument.
  Author:
    Ceki Gulcu
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`

    - ### Fields inherited from interface org.slf4j.Logger

      `ROOT_LOGGER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarkerIgnoringBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Marker marker, String msg)` Log a message with the specific Marker at the DEBUG level.
    `void` | `debug(Marker marker, String format, Object... arguments)` This method is similar to `Logger.debug(String, Object...)` method except that the marker data is also taken into consideration.
    `void` | `debug(Marker marker, String format, Object arg)` This method is similar to `Logger.debug(String, Object)` method except that the marker data is also taken into consideration.
    `void` | `debug(Marker marker, String format, Object arg1, Object arg2)` This method is similar to `Logger.debug(String, Object, Object)` method except that the marker data is also taken into consideration.
    `void` | `debug(Marker marker, String msg, Throwable t)` This method is similar to `Logger.debug(String, Throwable)` method except that the marker data is also taken into consideration.
    `void` | `error(Marker marker, String msg)` Log a message with the specific Marker at the ERROR level.
    `void` | `error(Marker marker, String format, Object... arguments)` This method is similar to `Logger.error(String, Object...)` method except that the marker data is also taken into consideration.
    `void` | `error(Marker marker, String format, Object arg)` This method is similar to `Logger.error(String, Object)` method except that the marker data is also taken into consideration.
    `void` | `error(Marker marker, String format, Object arg1, Object arg2)` This method is similar to `Logger.error(String, Object, Object)` method except that the marker data is also taken into consideration.
    `void` | `error(Marker marker, String msg, Throwable t)` This method is similar to `Logger.error(String, Throwable)` method except that the marker data is also taken into consideration.
    `String` | `getName()` Return the name of this `Logger` instance.
    `void` | `info(Marker marker, String msg)` Log a message with the specific Marker at the INFO level.
    `void` | `info(Marker marker, String format, Object... arguments)` This method is similar to `Logger.info(String, Object...)` method except that the marker data is also taken into consideration.
    `void` | `info(Marker marker, String format, Object arg)` This method is similar to `Logger.info(String, Object)` method except that the marker data is also taken into consideration.
    `void` | `info(Marker marker, String format, Object arg1, Object arg2)` This method is similar to `Logger.info(String, Object, Object)` method except that the marker data is also taken into consideration.
    `void` | `info(Marker marker, String msg, Throwable t)` This method is similar to `Logger.info(String, Throwable)` method except that the marker data is also taken into consideration.
    `boolean` | `isDebugEnabled(Marker marker)` Similar to `Logger.isDebugEnabled()` method except that the marker data is also taken into account.
    `boolean` | `isErrorEnabled(Marker marker)` Similar to `Logger.isErrorEnabled()` method except that the marker data is also taken into consideration.
    `boolean` | `isInfoEnabled(Marker marker)` Similar to `Logger.isInfoEnabled()` method except that the marker data is also taken into consideration.
    `boolean` | `isTraceEnabled(Marker marker)` Similar to `Logger.isTraceEnabled()` method except that the marker data is also taken into account.
    `boolean` | `isWarnEnabled(Marker marker)` Similar to `Logger.isWarnEnabled()` method except that the marker data is also taken into consideration.
    `protected Object` | `readResolve()` Replace this instance with a homonymous (same name) logger returned by LoggerFactory.
    `String` | `toString()`
    `void` | `trace(Marker marker, String msg)` Log a message with the specific Marker at the TRACE level.
    `void` | `trace(Marker marker, String format, Object... arguments)` This method is similar to `Logger.trace(String, Object...)` method except that the marker data is also taken into consideration.
    `void` | `trace(Marker marker, String format, Object arg)` This method is similar to `Logger.trace(String, Object)` method except that the marker data is also taken into consideration.
    `void` | `trace(Marker marker, String format, Object arg1, Object arg2)` This method is similar to `Logger.trace(String, Object, Object)` method except that the marker data is also taken into consideration.
    `void` | `trace(Marker marker, String msg, Throwable t)` This method is similar to `Logger.trace(String, Throwable)` method except that the marker data is also taken into consideration.
    `void` | `warn(Marker marker, String msg)` Log a message with the specific Marker at the WARN level.
    `void` | `warn(Marker marker, String format, Object... arguments)` This method is similar to `Logger.warn(String, Object...)` method except that the marker data is also taken into consideration.
    `void` | `warn(Marker marker, String format, Object arg)` This method is similar to `Logger.warn(String, Object)` method except that the marker data is also taken into consideration.
    `void` | `warn(Marker marker, String format, Object arg1, Object arg2)` This method is similar to `Logger.warn(String, Object, Object)` method except that the marker data is also taken into consideration.
    `void` | `warn(Marker marker, String msg, Throwable t)` This method is similar to `Logger.warn(String, Throwable)` method except that the marker data is also taken into consideration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.slf4j.Logger

      `debug, debug, debug, debug, debug, error, error, error, error, error, getName, info, info, info, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn`

- - ### Field Detail

    - #### name

          protected String name

  - ### Constructor Detail

    - #### MarkerIgnoringBase

          public MarkerIgnoringBase()

  - ### Method Detail

    - #### isTraceEnabled

          public boolean isTraceEnabled(Marker marker)

      Description copied from interface: `Logger`
      Similar to `Logger.isTraceEnabled()` method except that the marker data is also taken into account.
      Specified by:
        `isTraceEnabled` in interface `Logger`
      Parameters:
        `marker` - The marker data to take into consideration
      Returns:
        True if this Logger is enabled for the TRACE level, false otherwise.

    - #### trace

          public void trace(Marker marker,
                   String msg)

      Description copied from interface: `Logger`
      Log a message with the specific Marker at the TRACE level.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `msg` - the message string to be logged

    - #### trace

          public void trace(Marker marker,
                   String format,
                   Object arg)

      Description copied from interface: `Logger`
      This method is similar to `Logger.trace(String, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg` - the argument

    - #### trace

          public void trace(Marker marker,
                   String format,
                   Object arg1,
                   Object arg2)

      Description copied from interface: `Logger`
      This method is similar to `Logger.trace(String, Object, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### trace

          public void trace(Marker marker,
                   String format,
                   Object... arguments)

      Description copied from interface: `Logger`
      This method is similar to `Logger.trace(String, Object...)` method except that the marker data is also taken into consideration.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arguments` - an array of arguments

    - #### trace

          public void trace(Marker marker,
                   String msg,
                   Throwable t)

      Description copied from interface: `Logger`
      This method is similar to `Logger.trace(String, Throwable)` method except that the marker data is also taken into consideration.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isDebugEnabled

          public boolean isDebugEnabled(Marker marker)

      Description copied from interface: `Logger`
      Similar to `Logger.isDebugEnabled()` method except that the marker data is also taken into account.
      Specified by:
        `isDebugEnabled` in interface `Logger`
      Parameters:
        `marker` - The marker data to take into consideration
      Returns:
        True if this Logger is enabled for the DEBUG level, false otherwise.

    - #### debug

          public void debug(Marker marker,
                   String msg)

      Description copied from interface: `Logger`
      Log a message with the specific Marker at the DEBUG level.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `msg` - the message string to be logged

    - #### debug

          public void debug(Marker marker,
                   String format,
                   Object arg)

      Description copied from interface: `Logger`
      This method is similar to `Logger.debug(String, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg` - the argument

    - #### debug

          public void debug(Marker marker,
                   String format,
                   Object arg1,
                   Object arg2)

      Description copied from interface: `Logger`
      This method is similar to `Logger.debug(String, Object, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### debug

          public void debug(Marker marker,
                   String format,
                   Object... arguments)

      Description copied from interface: `Logger`
      This method is similar to `Logger.debug(String, Object...)` method except that the marker data is also taken into consideration.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### debug

          public void debug(Marker marker,
                   String msg,
                   Throwable t)

      Description copied from interface: `Logger`
      This method is similar to `Logger.debug(String, Throwable)` method except that the marker data is also taken into consideration.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isInfoEnabled

          public boolean isInfoEnabled(Marker marker)

      Description copied from interface: `Logger`
      Similar to `Logger.isInfoEnabled()` method except that the marker data is also taken into consideration.
      Specified by:
        `isInfoEnabled` in interface `Logger`
      Parameters:
        `marker` - The marker data to take into consideration
      Returns:
        true if this logger is warn enabled, false otherwise

    - #### info

          public void info(Marker marker,
                  String msg)

      Description copied from interface: `Logger`
      Log a message with the specific Marker at the INFO level.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `marker` - The marker specific to this log statement
        `msg` - the message string to be logged

    - #### info

          public void info(Marker marker,
                  String format,
                  Object arg)

      Description copied from interface: `Logger`
      This method is similar to `Logger.info(String, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg` - the argument

    - #### info

          public void info(Marker marker,
                  String format,
                  Object arg1,
                  Object arg2)

      Description copied from interface: `Logger`
      This method is similar to `Logger.info(String, Object, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### info

          public void info(Marker marker,
                  String format,
                  Object... arguments)

      Description copied from interface: `Logger`
      This method is similar to `Logger.info(String, Object...)` method except that the marker data is also taken into consideration.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### info

          public void info(Marker marker,
                  String msg,
                  Throwable t)

      Description copied from interface: `Logger`
      This method is similar to `Logger.info(String, Throwable)` method except that the marker data is also taken into consideration.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `marker` - the marker data for this log statement
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isWarnEnabled

          public boolean isWarnEnabled(Marker marker)

      Description copied from interface: `Logger`
      Similar to `Logger.isWarnEnabled()` method except that the marker data is also taken into consideration.
      Specified by:
        `isWarnEnabled` in interface `Logger`
      Parameters:
        `marker` - The marker data to take into consideration
      Returns:
        True if this Logger is enabled for the WARN level, false otherwise.

    - #### warn

          public void warn(Marker marker,
                  String msg)

      Description copied from interface: `Logger`
      Log a message with the specific Marker at the WARN level.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `marker` - The marker specific to this log statement
        `msg` - the message string to be logged

    - #### warn

          public void warn(Marker marker,
                  String format,
                  Object arg)

      Description copied from interface: `Logger`
      This method is similar to `Logger.warn(String, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg` - the argument

    - #### warn

          public void warn(Marker marker,
                  String format,
                  Object arg1,
                  Object arg2)

      Description copied from interface: `Logger`
      This method is similar to `Logger.warn(String, Object, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### warn

          public void warn(Marker marker,
                  String format,
                  Object... arguments)

      Description copied from interface: `Logger`
      This method is similar to `Logger.warn(String, Object...)` method except that the marker data is also taken into consideration.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### warn

          public void warn(Marker marker,
                  String msg,
                  Throwable t)

      Description copied from interface: `Logger`
      This method is similar to `Logger.warn(String, Throwable)` method except that the marker data is also taken into consideration.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `marker` - the marker data for this log statement
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isErrorEnabled

          public boolean isErrorEnabled(Marker marker)

      Description copied from interface: `Logger`
      Similar to `Logger.isErrorEnabled()` method except that the marker data is also taken into consideration.
      Specified by:
        `isErrorEnabled` in interface `Logger`
      Parameters:
        `marker` - The marker data to take into consideration
      Returns:
        True if this Logger is enabled for the ERROR level, false otherwise.

    - #### error

          public void error(Marker marker,
                   String msg)

      Description copied from interface: `Logger`
      Log a message with the specific Marker at the ERROR level.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `marker` - The marker specific to this log statement
        `msg` - the message string to be logged

    - #### error

          public void error(Marker marker,
                   String format,
                   Object arg)

      Description copied from interface: `Logger`
      This method is similar to `Logger.error(String, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg` - the argument

    - #### error

          public void error(Marker marker,
                   String format,
                   Object arg1,
                   Object arg2)

      Description copied from interface: `Logger`
      This method is similar to `Logger.error(String, Object, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### error

          public void error(Marker marker,
                   String format,
                   Object... arguments)

      Description copied from interface: `Logger`
      This method is similar to `Logger.error(String, Object...)` method except that the marker data is also taken into consideration.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### error

          public void error(Marker marker,
                   String msg,
                   Throwable t)

      Description copied from interface: `Logger`
      This method is similar to `Logger.error(String, Throwable)` method except that the marker data is also taken into consideration.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getName

          public String getName()

      Description copied from interface: `Logger`
      Return the name of this `Logger` instance.
      Specified by:
        `getName` in interface `Logger`
      Returns:
        name of this logger instance

    - #### readResolve

          protected Object readResolve()
                                throws ObjectStreamException

      Replace this instance with a homonymous (same name) logger returned by LoggerFactory. Note that this method is only called during deserialization.

      This approach will work well if the desired ILoggerFactory is the one references by LoggerFactory. However, if the user manages its logger hierarchy through a different (non-static) mechanism, e.g. dependency injection, then this approach would be mostly counterproductive.

      Returns:
        logger with same name as returned by LoggerFactory
      Throws:
        `ObjectStreamException`

Copyright © 2005–2017 QOS.ch. All rights reserved.